# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.authn.oauth
Class OAuthException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.client.authn.oauth.OAuthException

All Implemented Interfaces:
  java.io.Serializable

    public class OAuthException

extends java.lang.Exception

Generic exception to capture all OAuth related issues.

See Also:
  Serialized Form

Constructor Summary
`OAuthException()`
`OAuthException(java.lang.String message)`
`OAuthException(java.lang.String message, java.lang.Throwable cause)`
`OAuthException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OAuthException

    public OAuthException()

### OAuthException

    public OAuthException(java.lang.String message)

### OAuthException

    public OAuthException(java.lang.Throwable cause)

### OAuthException

    public OAuthException(java.lang.String message,
                          java.lang.Throwable cause)